Loading...
Searching...
No Matches
xccdf_notice Struct Reference
XCCDF

XCCDF benchmark legal notice. More...

`#include <xccdf_benchmark.h>`

Collaboration diagram for xccdf_notice:
[legend]

## Public Member Functions

OSCAP_API struct xccdf_notice * | xccdf_notice_new (void)
OSCAP_API void | xccdf_notice_free (struct xccdf_notice *notice)
OSCAP_API struct xccdf_notice * | xccdf_notice_clone (const struct xccdf_notice *notice)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API const char * | xccdf_notice_get_id (const struct xccdf_notice *notice)
OSCAP_API struct oscap_text * | xccdf_notice_get_text (const struct xccdf_notice *notice)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | xccdf_notice_set_id (struct xccdf_notice *obj, const char *newval)
OSCAP_API bool | xccdf_notice_set_text (struct xccdf_notice *obj, struct oscap_text *newval)

## Data Fields

char * | id
struct oscap_text * | text

## Detailed Description

XCCDF benchmark legal notice.

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h